diff -uwrN sourceold/scripts/DBIKScripts.cpp source/scripts/DBIKScripts.cpp
--- sourceold/scripts/DBIKScripts.cpp	2017-01-15 08:11:46.738802600 +1000
+++ source/scripts/DBIKScripts.cpp	2017-01-27 11:21:46.465017100 +1000
@@ -762,7 +762,7 @@
 {
 	team = Commands->Get_Player_Type(poker);
 	GameObject *building = Commands->Find_Object(buildingID);
-	if (Is_Base_Powered(Get_Object_Type(building)) && !reset)
+	if (Is_Base_Powered(Get_Object_Type(building)) && !Is_Building_Dead(building) && !reset)
 	{
 		Commands->Create_2D_Sound(Get_Parameter("Sound"));
 		Commands->Set_Building_Power(building,false);
@@ -789,12 +789,12 @@
 	if (number == 1)
 	{
 		GameObject *building = Commands->Find_Object(buildingID);
-		if(Is_Base_Powered(Get_Object_Type(building)))
+		if(Is_Base_Powered(Get_Object_Type(building)) && !Is_Building_Dead(building))
 		{
 			Commands->Create_2D_Sound(Get_Parameter("Sound2"));
 			Commands->Set_Building_Power(building,true);
 			StringClass message;
-			message.Format("% %s online.",Get_Team_Name(Get_Object_Type(building)),Get_Translated_Preset_Name(building));
+			message.Format("%s %s online.",Get_Team_Name(Get_Object_Type(building)),Get_Translated_Preset_Name(building));
 			Send_Message(255,200,200,message);
 		}
 		reset = true;
diff -uwrN sourceold/scripts/anticheat.ini source/scripts/anticheat.ini
--- sourceold/scripts/anticheat.ini	2016-12-15 07:01:56.103000900 +1000
+++ source/scripts/anticheat.ini	2017-01-27 12:14:01.588017100 +1000
@@ -130,3 +130,7 @@
 8aa2f2487753f77b22938cfee401a1d7=s_b_wide.w3d
 6c2fb7ba4d60b6b21c23f5284001881b=s_c_tall.w3d
 2242fbc4557be6f044a5c708aef7b979=s_c_wide.w3d
+0284b68d2c8831ae7c9427a558c980c9=C&C_Complex.mix
+185315cb0070e52ab9c89d95d06f05e5=C&C_Complex.ldd
+11fc8b1d6d70fbacbb18181618fc3964=c&c_field.mix
+b94a4486508afdc014c1ff3ea4f3d455=c&c_field.ldd
diff -uwrN sourceold/scripts/jmgBearHunter.h source/scripts/jmgBearHunter.h
--- sourceold/scripts/jmgBearHunter.h	2016-12-31 09:28:56.294000000 +1000
+++ source/scripts/jmgBearHunter.h	2017-01-27 11:21:45.987017100 +1000
@@ -399,12 +399,8 @@
 			if (!random)
 				return current;
 			current = current->next;
-			if (!current)
-			{
+			if (!current && originalRandom != random)
 				current = SimplePositionNodeList;
-				if (originalRandom == random)
-					return NULL;
-			}
 		}
 		return NULL;
 	}
@@ -421,12 +417,8 @@
 			if (!random)
 				return current;
 			current = current->next;
-			if (!current)
-			{
+			if (!current && originalRandom != random)
 				current = SimplePositionNodeList;
-				if (originalRandom == random)
-					return NULL;
-			}
 		}
 		return NULL;
 	}
@@ -443,12 +435,8 @@
 			if (!random)
 				return current;
 			current = current->next;
-			if (!current)
-			{
+			if (!current && originalRandom != random)
 				current = SimplePositionNodeList;
-				if (originalRandom == random)
-					return NULL;
-			}
 		}
 		return NULL;
 	}
@@ -465,12 +453,8 @@
 			if (!random)
 				return current;
 			current = current->next;
-			if (!current)
-			{
+			if (!current && originalRandom != random)
 				current = SimplePositionNodeList;
-				if (originalRandom == random)
-					return NULL;
-			}
 		}
 		return NULL;
 	}
@@ -521,12 +505,8 @@
 					return current;
 			}
 			current = current->next;
-			if (!current)
-			{
+			if (!current && originalRandom != random)
 				current = SimplePositionNodeList;
-				if (originalRandom == random)
-					return NULL;
-			}
 		}
 		return NULL;
 	}
@@ -562,12 +542,8 @@
 					return current;
 			}
 			current = current->next;
-			if (!current)
-			{
+			if (!current && originalRandom != random)
 				current = SimplePositionNodeList;
-				if (originalRandom == random)
-					return NULL;
-			}
 		}
 		return NULL;
 	}
